ReferenceOrganization
List task comments
Retrieve a paginated list of public comments for a task.
Path Parameters
org_slug*string
task_short_id*integer
Query Parameters
order?string
Specifies the sort order by creation date. Use asc for ascending or desc for descending.
Default
"desc"Value in
- "asc"
- "desc"
limit?integer
Number of items per page
Range
1 <= value <= 30Default
5page?integer
Page number (starting from 1)
Range
1 <= valueResponse Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/organization/string/tasks/0/comments"{ "success": true, "data": [ { "id": "string", "organizationId": "string", "taskId": "string", "createdAt": "string", "updatedAt": "string", "content": null, "contentHtml": "string", "contentMarkdown": "string", "createdBy": { "name": "string", "image": "string" }, "visibility": "public", "source": "sayr", "parentId": "string", "reactions": { "total": 0, "reactions": { "property1": { "count": 0, "users": [ "string" ] }, "property2": { "count": 0, "users": [ "string" ] } } } } ], "pagination": { "limit": 0, "page": 0, "totalPages": 0, "totalItems": 0, "hasMore": true }}